package com.sd.business.entity.area.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 中国行政地区表
 * </p>
 *
 * @author
 * @since 2023-11-20
 */
@Getter
@Setter
@TableName("area")
public class Area extends BaseIdPo {

    /**
     * 层级
     */
    private Integer levelCode;

    /**
     * 父级行政代码
     */
    private Long parentCode;

    /**
     * 行政代码
     */
    private Long areaCode;

    /**
     * 邮政编码
     */
    private String zipCode;

    /**
     * 区号
     */
    private String cityCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 简称
     */
    private String shortName;

    /**
     * 组合名
     */
    private String mergerName;

    /**
     * 拼音
     */
    private String pinyin;

    /**
     * 经度
     */
    private BigDecimal lng;

    /**
     * 纬度
     */
    private BigDecimal lat;

}
