package com.sd.business.entity.artwork.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 图稿库
 * </p>
 *
 * @author
 * @since 2023-11-20
 */
@Getter
@Setter
@TableName("artwork_library")
public class ArtworkLibrary extends BasePo {

    /**
     * 名称
     */
    private String artworkName;

    /**
     * 类型 1-标准图稿，2-客户图稿
     */
    private Integer type;

    /**
     * 图片id
     */
    private Long imgId;

    /**
     * 图片名称
     */
    private String imgName;

    /**
     * 图片链接
     */
    private String imgUrl;

    /**
     * 文件id
     */
    private Long fileId;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件链接
     */
    private String fileUrl;

}
