package com.sd.business.mapper.bom;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.bom.po.BomSpec;
import com.sd.business.entity.bom.vo.BomSpecVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * bom规格 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-11-20
 */
public interface BomSpecMapper extends BaseMapper<BomSpec> {

    /**
     * 分页
     * @param page
     * @param wrapper
     * @return
     */
    Page<BomSpecVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<BomSpec> wrapper);
}
